Get SMS Delivery Status
curl --request GET \
--url https://api.example.com/api/messaging/sms/{message_id}/status/import requests
url = "https://api.example.com/api/messaging/sms/{message_id}/status/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/messaging/sms/{message_id}/status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"recipient": "+255614853618",
"message": "Hello, this is a test message",
"sender_id": "MIFUMO",
"status": "delivered",
"sent_at": "2025-11-27T10:30:00Z",
"delivered_at": "2025-11-27T10:30:15Z",
"cost": 0.05,
"currency": "USD"
}
}
SMS Operations
Get SMS Delivery Status
GET
/
api
/
messaging
/
sms
/
{message_id}
/
status
/
Get SMS Delivery Status
Get delivery status of a specific SMS message.
string
required
SMS message ID
Success Response (200)
boolean
Operation success status
object
Message details with status
{
"success": true,
"message": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"recipient": "+255614853618",
"message": "Hello, this is a test message",
"sender_id": "MIFUMO",
"status": "delivered",
"sent_at": "2025-11-27T10:30:00Z",
"delivered_at": "2025-11-27T10:30:15Z",
"cost": 0.05,
"currency": "USD"
}
}
⌘I